Package: org.codehaus.groovy.tools.shell.completion

## [Groovy] Class ImportsSyntaxCompletor

- org.codehaus.groovy.tools.shell.completion.ImportsSyntaxCompletor

- All Implemented Interfaces and Traits:
    IdentifierCompletor

      class ImportsSyntaxCompletor

  Completor completing imported classnames

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static String` | `STATIC_IMPORT_PATTERN`
    `Map<String, Collection<String>>` | `cachedImports`
    `List<String>` | `preimportedClassNames`
    `Groovysh` | `shell`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ImportsSyntaxCompletor (Groovysh shell)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `collectImportedSymbols(String importSpec, Collection matches)` finds matching imported classes or static methods
    `boolean` | `complete(List<GroovySourceToken> tokens, List candidates)`
    `boolean` | `findMatchingImportedClassesCached(String prefix, String importSpec, List candidates)`
    `boolean` | `findMatchingPreImportedClasses(String prefix, Collection matches)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### static final String STATIC_IMPORT_PATTERN

    - #### Map<String, Collection<String>> cachedImports

    - #### List<String> preimportedClassNames

    - #### Groovysh shell

  - ### Constructor Detail

    - #### ImportsSyntaxCompletor(Groovysh shell)

  - ### Method Detail

    - #### void collectImportedSymbols(String importSpec, Collection matches)

      finds matching imported classes or static methods

      Parameters:
        prefix
        importSpec
        matches
      Returns:

    - #### @Override boolean complete(List<GroovySourceToken> tokens, List candidates)

    - #### boolean findMatchingImportedClassesCached(String prefix, String importSpec, List candidates)

    - #### boolean findMatchingPreImportedClasses(String prefix, Collection matches)